;---------------------------------------------------------------------------
; Au (Level One)
[Statedef 3000]
type    = S
movetype= A
physics = N
velset = 0,0
anim = 3000
ctrl = 0
sprpriority = 2
hitcountpersist = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = Time <= 7
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1
ignorehitpause = 1

[State 0, PlayerPush]
type = PlayerPush
trigger1 = 1
value = 1
;ignorehitpause = 
;persistent = 

[State 0, NotHitBy]
type = NotHitBy
trigger1 = time = 0
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 5
ignorehitpause = 1
persistent = 0

[State 0, BGPalFX]
type = EnvColor
triggerall = enemynear,Alive
trigger1 = movehit && Hitpausetime >= 15
value = 255,255,255
time = 1
under = 1
ignorehitpause = 1
persistent = 1


[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 17
movetype = I

[State 3000, Super A]
type = SuperPause
trigger1 = AnimElem = 1
pos = 3, -60
anim = S4053
sound = S3000, 0
poweradd = -1000

[State 0, Helper]
type = Helper
trigger1 = Time = 0
helpertype = normal ;player
name = "SuperBG"
ID = 4051
stateno = 4050
pos = 0,-60
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 30
pausemovetime = 30

[State 0, StopSnd]
type = StopSnd
trigger1 = time= 0
channel = 0 

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 2, 1
time = 2

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimElemTime(2) >= 1 && Time < 60
time = 2

[State 3000, 4]
type = VelSet
trigger1 = AnimElemTime(1) = 0
x = 3

[State 3000, 4]
type = VelSet
trigger1 = AnimElemTime(17) = 0
x = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(3) = 2
value = S5,5
channel = 0

[State 3000, 5]
type = HitDef
trigger1 = AnimElem = 6
attr = S, HA
animtype  = Hard
damage    = 28,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
sparkno = S9007
guard.sparkno = S9008
pausetime = 15,15
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -4
air.velocity = 0,0
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.juggle = 15
fall.animtype = Hard
fall.recover = 0
givepower = 13
forcestand = 1
p2stateno = 3001
id = 3000
nochainid = 3000

[State 0,aaaaa]
type= targetbind
trigger1= Animelem = 6 && Movehit
trigger1= numtarget=1 && numenemy
trigger1= (target,time<=1) && (target,ID=enemynear,ID); this is just to prevent Simul issues as usual
pos= floor(p2dist X), ceil(-pos y) ;keeps P2 at the same horizontal distance, but resets his Y position
ignorehitpause= 1

[State 3000, 5]
type = HitDef
trigger1 = Animelem = 8 || Animelem = 14
attr = S, HA
animtype  = Hard
damage    = 28,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
sparkno = S9007
guard.sparkno = S9008
pausetime = 15,15
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.velocity = -2,-4
air.juggle = 15
fall.animtype = Hard
fall.recover = 0
givepower = 13
id = 3000

[State -3, Corner Push]; Reset
type= varset
trigger1= 1
fvar(5)= ifelse((facing=1),0.9999542236328125,-0.9999542236328125)

[State 0, TargetState]
type = Targetstate
triggerall = NumTarget;()
triggerall = enemynear, statetype = A && enemynear, movetype = H
trigger1 = animelem = 6; || animelem = 8 || animelem = 14
;trigger1 = movehit
value = 3001
ID = -1

[State 3000, 6]
type = HitDef
trigger1 = AnimElem = 16
attr = S, HA
animtype  = Hard
damage    = 139,11
getpower  = 0
priority  = 5
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkxy = -10,-60
sparkno = S9007
guard.sparkno = S9008
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -2.5,-9
guard.velocity = -4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.velocity = -5,-4
air.juggle = 15
airguard.velocity = -3,-3
fall.animtype = Hard
fall = 1
fall.recover = 0
id = 3000

[State 3000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;---------------------------------------------------------------------------
;Custom gethit for AU
[Statedef 3001]
type = S
movetype = H
physics = S
anim = 5012
ctrl = 0 
facep2 = 1
velset = 0,0

[State 0, PosSet]
type = PosSet
trigger1 = 1
y = 0

[State 0, StateTypeSet]
type = StateTypeSet
trigger1 =  time = 2
statetype = S       ;S,A,C,L
movetype = I        ;I,A,H
physics = S

[State 0, SelfState]
type = SelfState
trigger1 = time = 2
value = 5000
;---------------------------------------------------------------------------
; Au Frenzy (Level Two)
[Statedef 3020]
type    = S
movetype= A
physics = N
velset = 0,0
anim = 3020
ctrl = 0
sprpriority = 2
hitcountpersist = 1

[State 0, NotHitBy]
type = NotHitBy
trigger1 = Time <= 12
value = SCA,NA,SA,HA,NP,SP,HP,NT,ST,HT
time = 1
ignorehitpause = 1

[State 0, Helper]
type = Helper
trigger1 = Time = 0
helpertype = normal ;player
name = "SuperBG"
ID = 4051
stateno = 4050
pos = 0,-60
postype = p1    ;p2,front,back,left,right
facing = 1
keyctrl = 0
ownpal = 0
supermovetime = 30
pausemovetime = 30
;ignorehitpause =
;persistent =


[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElem = 31
movetype = I

[State 3000, Super A]
type = SuperPause
trigger1 = AnimElem = 1
pos = 3, -60
anim = S4055
sound = S3000, 1
poweradd = -2000

[State 3000, Super B]
type = AfterImage
trigger1 = AnimElem = 2, 1
time = 2

[State 3000, Super C]
type = AfterImageTime
trigger1 = AnimElemTime(2) >= 1 && Animelemtime(30)<=0
time = 2

[State 3000, 4]
type = VelSet
trigger1 = AnimElemTime(1) = 0
x = 3

[State 3000, 4]
type = VelSet
trigger1 = AnimElemTime(31) = 0
x = 0

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Animelemtime(3) = 2
value = S5,5
channel = 0

[State 3000, 5]
type = HitDef
trigger1 = AnimElem = 6
attr = S, HA
animtype  = Hard
damage    = 28,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkno = S9007
guard.sparkno = S9008
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
fall.animtype = Hard
fall.recover = 0
air.juggle = 15
givepower = 13
id = 3000
forcestand = 1

[State 0,aaaaa]
type= targetbind
trigger1= Animelem = 6 && Movehit
trigger1= numtarget=1 && numenemy
trigger1= (target,time<=1) && (target,ID=enemynear,ID); this is just to prevent Simul issues as usual
pos= floor(p2dist x), ceil(-pos y); keeps P2 at the same horizontal distance, but resets his Y position
ignorehitpause= 1

[State 3000, 5]
type = HitDef
trigger1 = Animelem = 8 || Animelem = 14 || Animelem = 16
attr = S, HA
animtype  = Hard
damage    = 28,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkxy = -10,-60
sparkno = S9007
guard.sparkno = S9008
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -4
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
fall.animtype = Hard
fall.recover = 0
air.juggle = 15
givepower = 13
id = 3000

[State 3000, 5]
type = HitDef
trigger1 = Animelem = 21 || Animelem = 28
attr = S, HA
animtype  = Hard
damage    = 44,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkxy = -10,-60
sparkno = S9007
guard.sparkno = S9008
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
ground.velocity = -4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.velocity = -2,-4
air.juggle = 15
fall.animtype = Hard
fall.recover = 0
givepower = 13
id = 3000

[State 3000, 5]
type = HitDef
trigger1 = Animelem = 23
attr = S, HA
animtype  = Hard
damage    = 39,11
getpower  = 0
priority  = 6
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkxy = -10,-60
sparkno = S9007
guard.sparkno = S9008
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
ground.hittime  = 32
ground.velocity = -4
air.velocity = -2,-4
ground.cornerpush.veloff = 0
guard.cornerpush.veloff = 0
air.juggle = 15
fall.animtype = Hard
fall.recover = 0
givepower = 13
id = 3000

[State 0, TargetState]
type = TargetState
triggerall = NumTarget;()
triggerall = enemynear, statetype = A && enemynear, pos y >= 0
trigger1 = animelem = 8 || animelem = 14
trigger1 = movehit
value = 3001
ID = -1

[State -3, Corner Push]; Reset
type= varset
trigger1= 1
fvar(5)= ifelse((facing=1),0.9999542236328125,-0.9999542236328125)

[State 3000, 6]
type = HitDef
trigger1 = AnimElem = 30
attr = S, HA
animtype  = Hard
damage    = 39,11
getpower  = 0
priority  = 5
hitflag = MAF
guardflag = M
pausetime = 15,15
sparkxy = -10,-60
hitsound   = S12, 2
guardsound = S0,10
ground.type = Low
ground.slidetime = 30
sparkno = S9007
guard.sparkno = S9008
ground.hittime  = 32
guard.hittime = 18
ground.velocity = -2.5,-9
ground.cornerpush.veloff = 0
guard.velocity = -4
guard.cornerpush.veloff = 0
air.velocity = -5,-4
airguard.velocity = -3,-3
air.juggle = 15
fall.animtype = Hard
fall = 1
fall.recover = 0
id = 3000

[State 0, BGPalFX]
type = EnvColor
triggerall = enemynear,Alive
trigger1 = movehit && Hitpausetime >= 15
value = 255,255,255
time = 1
under = 1
ignorehitpause = 1
persistent = 1

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 8 
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 14
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 16
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 21 
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 23
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem = 28
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

;[State 0, BGPalFX]
;type = EnvColor
;triggerall = enemynear,Alive
;trigger1 = movehit && Animelem =30
;value = 255,255,255
;time = 3
;under = 1
;ignorehitpause = 1
;persistent = 0

[State 200, StateTypeSet]
type = StateTypeSet
trigger1 = AnimElemtime(31) = 0
movetype = I

[State 3000, 7]
type = ChangeState
trigger1 = AnimTime = 0
value = 0
ctrl = 1
;------------------------------------------------------------------------------------------------------
[Statedef 4050]
type = A
movetype = I
anim = 1
sprpriority = -3

[State 0]
type = assertspecial
trigger1 = 1
flag = nobardisplay
flag2 = nofg

[State 0, explod]
type = explod
trigger1 = Time = 1
anim = ifelse((parent,stateno=3000),4052,4050)
supermovetime = 30
sprpriority = -5
removetime = 30
scale = 1,1
postype = p1
pos = 8, -10
ownpal = 1
bindtime = 1000

;[State 0, Explod]
;type = Explod
;trigger1 = 1
;anim = 4051
;ID = 4051
;pos = 160,120
;postype = left   ;p2,front,back,left,right
;facing = 1
;vfacing = 1
;bindtime = 1
;vel = 0,0
;accel = 0,0
;removetime = 30
;supermovetime = 30
;pausemovetime = 30
;scale = 0.5,0.5
;sprpriority = -2
;ignorehitpause = 1
;persistent = 0
;ownpal = 1

;[State 0, ModifyExplod]
;type = ModifyExplod
;trigger1 = 1
;ID = 4051
;pos = 160,120
;postype = left   ;p2,front,back,left,right
;facing = 1
;vfacing = 1
;bindtime = 1
;vel = 0,0
;accel = 0,0
;random = 5,5
;scale = (0.5+(0.004*time)),(0.5+(0.004*time))
;ownpal = 1

[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 30
;------------------------------------------------------------------------------------------------------
;Super Finish Coding
[Statedef 4053]
type = A
movetype = I
anim = 10000
sprpriority = -3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S3,1
volume = 0
channel = -1
freqmul = 1.0
loop = 0
pan = 0

[State 0]
type = assertspecial
trigger1 = 1
flag = nobardisplay
flag2 = nofg

[State 0, BGPalFX]
type = EnvColor
trigger1 = numexplod(2800)
value = 0,0,0
time = 1
under = 1
ignorehitpause = 1
persistent = 1

[State 0, explod]
type = explod
trigger1 = Time = 0
anim = 2800	
ID = 2800
sprpriority = -5
scale = 1,1
postype = left
pos = 159,0
ownpal = 1
bindtime = -1
removetime = 37
pausemovetime = 37

[State 0, DestroySelf]
type = DestroySelf
trigger1 = !NumExplod(2800)
;------------------------------------------------------------------------------------------------------
;Special Finish Coding
[Statedef 4054]
type = A
movetype = I
anim = 10000
sprpriority = -3

[State 0, PlaySnd]
type = PlaySnd
trigger1 = Time = 0
value = S3,1
volume = 0
channel = -1
freqmul = 1.0
loop = 0
pan = 0

[State 0, BGPalFX]
type = EnvColor
trigger1 = time = 0 || time = 8 || time = 16
value = 255,255,255
time = 4
under = 1
ignorehitpause = 1

[State 0, BGPalFX]
type = EnvColor
trigger1 = time = 4 || time = 12 || time = 20
value = 248,0,0
time = 4
under = 1
ignorehitpause = 1


[State 0, DestroySelf]
type = DestroySelf
trigger1 = time = 24
